Retrieves all countries.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/countries \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/countries"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"countryIso": "<string>",
"countryIso3": "<string>",
"name": "<string>",
"numericIso": 123,
"isEu": true,
"knownStates": [
{
"regionCode": "<string>",
"isoCode": "<string>",
"name": "<string>"
}
],
"continent": "<string>",
"currencyIso": "<string>",
"defaultCulture": "<string>",
"displayNameState": "<string>"
}
]Master Data
Retrieves all countries.
Retrieves all countries.
GET
/
v2
/
countries
Retrieves all countries.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
The ISO code of the country
The three Character ISO code of the country
The name of the country
The numeric ISO code of the country
Indicates if the country is part of the European Union
List of known states in the country
Show child attributes
Show child attributes
The continent of the country
The ISO code of the currency used in the country
The default culture associated with the country
The display name for states in the country
Was this page helpful?